Package tigase.server.amp

## Interface AmpFeatureIfc

- All Known Subinterfaces:
    `ActionIfc`, `ConditionIfc`
  All Known Implementing Classes:
    `ActionAbstract`, `Alert`, `Broadcast`, `Deliver`, `Deliver`, `Drop`, `Error`, `ExpireAt`, `MatchResource`, `Notify`, `Store`

      public interface AmpFeatureIfc

  Created: Apr 28, 2010 5:38:24 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ACTION_ATT` |
    `static java.lang.String` | `AMP_MSG_REPO_CLASS_PARAM` |
    `static java.lang.String` | `AMP_MSG_REPO_CLASS_PROP_KEY` |
    `static java.lang.String` | `AMP_MSG_REPO_URI_PARAM` |
    `static java.lang.String` | `AMP_MSG_REPO_URI_PROP_KEY` |
    `static java.lang.String` | `AMP_XMLNS` |
    `static java.lang.String` | `CONDITION_ATT` |
    `static java.lang.String` | `EXPIRED` |
    `static java.lang.String` | `FROM_CONN_ID` |
    `static java.lang.String` | `MSG_OFFLINE_PROP_KEY` |
    `static java.lang.String` | `OFFLINE` |
    `static java.lang.String` | `SESSION_JID` |
    `static java.lang.String` | `TO_CONN_ID` |
    `static java.lang.String` | `TO_RES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |

- - ### Field Detail

    - #### AMP_MSG_REPO_CLASS_PROP_KEY

          static final java.lang.String AMP_MSG_REPO_CLASS_PROP_KEY

      See Also:
        Constant Field Values

    - #### AMP_MSG_REPO_CLASS_PARAM

          static final java.lang.String AMP_MSG_REPO_CLASS_PARAM

      See Also:
        Constant Field Values

    - #### AMP_MSG_REPO_URI_PARAM

          static final java.lang.String AMP_MSG_REPO_URI_PARAM

      See Also:
        Constant Field Values

    - #### AMP_MSG_REPO_URI_PROP_KEY

          static final java.lang.String AMP_MSG_REPO_URI_PROP_KEY

      See Also:
        Constant Field Values

    - #### AMP_XMLNS

          static final java.lang.String AMP_XMLNS

      See Also:
        Constant Field Values

    - #### FROM_CONN_ID

          static final java.lang.String FROM_CONN_ID

      See Also:
        Constant Field Values

    - #### SESSION_JID

          static final java.lang.String SESSION_JID

      See Also:
        Constant Field Values

    - #### TO_CONN_ID

          static final java.lang.String TO_CONN_ID

      See Also:
        Constant Field Values

    - #### TO_RES

          static final java.lang.String TO_RES

      See Also:
        Constant Field Values

    - #### EXPIRED

          static final java.lang.String EXPIRED

      See Also:
        Constant Field Values

    - #### OFFLINE

          static final java.lang.String OFFLINE

      See Also:
        Constant Field Values

    - #### MSG_OFFLINE_PROP_KEY

          static final java.lang.String MSG_OFFLINE_PROP_KEY

      See Also:
        Constant Field Values

    - #### CONDITION_ATT

          static final java.lang.String CONDITION_ATT

      See Also:
        Constant Field Values

    - #### ACTION_ATT

          static final java.lang.String ACTION_ATT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          java.lang.String getName()